Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
BAND Class Reference

`#include <blkocc.h>`

List of all members.

## Public Member Functions

| BAND ()
void | set (inT16 new_max_max, inT16 new_max, inT16 new_min_max, inT16 new_max_min, inT16 new_min, inT16 new_min_min)
BOOL8 | in_minimal (float y)
BOOL8 | in_nominal (float y)
BOOL8 | in_maximal (float y)
BOOL8 | range_overlaps_minimal (float y1, float y2)
BOOL8 | range_overlaps_nominal (float y1, float y2)
BOOL8 | range_overlaps_maximal (float y1, float y2)
BOOL8 | range_in_minimal (float y1, float y2)
BOOL8 | range_in_nominal (float y1, float y2)
BOOL8 | range_in_maximal (float y1, float y2)

## Public Attributes

inT16 | max_max
inT16 | max
inT16 | min_max
inT16 | max_min
inT16 | min
inT16 | min_min

## Detailed Description

Definition at line 129 of file blkocc.h.

## Constructor & Destructor Documentation

BAND::BAND | ( |  | ) |

inline

Definition at line 139 of file blkocc.h.

{
} // constructor

## Member Function Documentation

BOOL8 BAND::in_maximal | ( | float | y | ) |

inline

Definition at line 173 of file blkocc.h.

{ //y value
if ((y >= min_min) && (y < max_max))
return TRUE;
else
return FALSE;
}

BOOL8 BAND::in_minimal | ( | float | y | ) |

inline

Definition at line 157 of file blkocc.h.

{ //y value
if ((y >= max_min) && (y < min_max))
return TRUE;
else
return FALSE;
}

BOOL8 BAND::in_nominal | ( | float | y | ) |

inline

Definition at line 165 of file blkocc.h.

{ //y value
if ((y >= min) && (y < max))
return TRUE;
else
return FALSE;
}

BOOL8 BAND::range_in_maximal | ( | float | y1,
|  | float | y2
| ) |  |

inline

Definition at line 226 of file blkocc.h.

{ //other range limit
if (y1 > y2)
return RANGE_IN_BAND (max_max, min_min, y1, y2);
else
return RANGE_IN_BAND (max_max, min_min, y2, y1);
}

BOOL8 BAND::range_in_minimal | ( | float | y1,
|  | float | y2
| ) |  |

inline

Definition at line 208 of file blkocc.h.

{ //other range limit
if (y1 > y2)
return RANGE_IN_BAND (min_max, max_min, y1, y2);
else
return RANGE_IN_BAND (min_max, max_min, y2, y1);
}

BOOL8 BAND::range_in_nominal | ( | float | y1,
|  | float | y2
| ) |  |

inline

Definition at line 217 of file blkocc.h.

{ //other range limit
if (y1 > y2)
return RANGE_IN_BAND (max, min, y1, y2);
else
return RANGE_IN_BAND (max, min, y2, y1);
}

BOOL8 BAND::range_overlaps_maximal | ( | float | y1,
|  | float | y2
| ) |  |

inline

Definition at line 200 of file blkocc.h.

{ //other range limit
if (y1 > y2)
return RANGE_OVERLAPS_BAND (max_max, min_min, y1, y2);
else
return RANGE_OVERLAPS_BAND (max_max, min_min, y2, y1);
}

BOOL8 BAND::range_overlaps_minimal | ( | float | y1,
|  | float | y2
| ) |  |

inline

Definition at line 182 of file blkocc.h.

{ //other range limit
if (y1 > y2)
return RANGE_OVERLAPS_BAND (min_max, max_min, y1, y2);
else
return RANGE_OVERLAPS_BAND (min_max, max_min, y2, y1);
}

BOOL8 BAND::range_overlaps_nominal | ( | float | y1,
|  | float | y2
| ) |  |

inline

Definition at line 191 of file blkocc.h.

{ //other range limit
if (y1 > y2)
return RANGE_OVERLAPS_BAND (max, min, y1, y2);
else
return RANGE_OVERLAPS_BAND (max, min, y2, y1);
}

void BAND::set | ( | inT16 | new_max_max,
|  | inT16 | new_max,
|  | inT16 | new_min_max,
|  | inT16 | new_max_min,
|  | inT16 | new_min,
|  | inT16 | new_min_min
| ) |  |

inline

Definition at line 142 of file blkocc.h.

{ // new lower min
max_max = new_max_max;
max = new_max;
min_max = new_min_max;
max_min = new_max_min;
min = new_min;
min_min = new_min_min;
}

## Member Data Documentation

inT16 BAND::max

Definition at line 133 of file blkocc.h.

inT16 BAND::max_max

Definition at line 132 of file blkocc.h.

inT16 BAND::max_min

Definition at line 135 of file blkocc.h.

inT16 BAND::min

Definition at line 136 of file blkocc.h.

inT16 BAND::min_max

Definition at line 134 of file blkocc.h.

inT16 BAND::min_min

Definition at line 137 of file blkocc.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/textord/blkocc.h